Bug 1074491 - python2-matplotlib needs python-backports.functools_lru_cache
python2-matplotlib needs python-backports.functools_lru_cache
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Thomas Bechtold
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-03 13:45 UTC by Peter Sütterlin
Modified: 2020-05-20 14:45 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Sütterlin 2018-01-03 13:45:28 UTC
See summary.  Without that package, importing matplotlib results in error:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/matplotlib/__init__.py", line 128, in <module>
    from matplotlib.rcsetup import defaultParams, validate_backend, cycler
  File "/usr/lib64/python2.7/site-packages/matplotlib/rcsetup.py", line 29, in <module>
    from matplotlib.fontconfig_pattern import parse_fontconfig_pattern
  File "/usr/lib64/python2.7/site-packages/matplotlib/fontconfig_pattern.py", line 32, in <module>
    from backports.functools_lru_cache import lru_cache
ImportError: No module named backports.functools_lru_cache

It's not in the package dependencies.
Comment 1 Thomas Bechtold 2018-05-15 19:21:33 UTC
Should be fixed with https://build.opensuse.org/request/show/607681 for Tumbleweed
Comment 2 Thomas Bechtold 2018-05-16 10:34:48 UTC
SR accepted. Will land in the next TW snapshot